> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/pay-by-bank/view-supported-banks-pay-by-bank/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # View supported banks for Pay by Bank GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/payment-methods/openbanking/metadata/supported-banks Retrieve supported banks to present to a user for Pay by Bank pay-ins This endpoint allows you to retrieve a paginated list of banks that you can present to the user for selection during their Pay by Bank checkout experience. Once they have selected their bank, and optionally the scheme, submit the data of their selection to the [POST Create a Pay by Bank PayIn](/api-reference/pay-by-bank/create-pay-by-bank-payin) endpoint. [Read the guide](/guides/payment-methods/banking/pay-by-bank) **→** Reference: https://docs.mangopay.com/api-reference/pay-by-bank/view-supported-banks-pay-by-bank ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. ### Query parameters - `CountryCodes` (string, optional) — **Allowed values:** `AT`, `DE`, `DK`, `EE`, `ES`, `FI`, `FR`, `GB`, `IE`, `IT`, `LV`, `LT`, `NL`, `NO`, `PL`, `PT` The countries for which to return supported banks. You can combine query values in a comma-separated list. - `per_page` (integer, optional) — Min. value: `1`; max. value: `100` **Default value:** `10` The number of `Banks` objects returned for each page of the pagination. On this endpoint, the pagination refers to the number of `Banks` objects, regardless of whether they span multiple `Countries` objects. - `page` (integer, optional) — Start value: `1` **Default value:** `1` Indicates the index of the page for the pagination. ## Response ### 200 Success - `SupportedBanks` (ViewSupportedBanksForPayByBankResponseSupportedBanks, optional) — The supported banks listed by country. ## Errors ### 400 Bad Request Error Bad Request - `Message` (string, optional) — Description of the error. - `Type` (string, optional) — The category of the error. - `Id` (string, optional) — Unique identifier of the error instance, useful when contacting Mangopay for support. - `Date` (double, optional) — Unix timestamp (UTC) of the date and time the error was triggered. - `errors` (map from string to string, optional, nullable) — Object containing one or more field-level errors. ## Types ### ViewSupportedBanksForPayByBankResponseSupportedBanks The supported banks listed by country. - `Countries` (list of ViewSupportedBanksForPayByBankResponseSupportedBanksCountriesItems, optional) — Array of objects listing the paginated `Banks` per `Country`. ### ViewSupportedBanksForPayByBankResponseSupportedBanksCountriesItems - `Banks` (list of ViewSupportedBanksForPayByBankResponseSupportedBanksCountriesItemsBanksItems, optional) — List of paginated banks for the country. Display the list of banks for the user to choose before submitting their selection in the [POST Create a Pay by Bank PayIn](/api-reference/pay-by-bank/create-pay-by-bank-payin) request. - `Country` (string, optional) — The `Country` value for the paginated list of `Banks` objects. ### ViewSupportedBanksForPayByBankResponseSupportedBanksCountriesItemsBanksItems - `BankName` (string, optional) — The bank's `BankName` to identify it in the pay-in request. - `Scheme` (list of string, optional) — List of `Scheme` values supported by the bank, which can be presented to the user for selection before submission in the pay-in request. - `Name` (string, optional) — The bank's display name to show to the user for selection. ## Examples **Response** ```json { "SupportedBanks": { "Countries": [ { "Banks": [ { "BankName": "at-demobank-open-banking-embedded", "Scheme": [], "Name": "Tink Demo Bank" }, { "BankName": "at-demobank-open-banking-redirect", "Scheme": [], "Name": "Tink Demo Bank" }, { "BankName": "at-demobank-password", "Scheme": [], "Name": "Tink Demo Bank" } ], "Country": "AT" }, { "Banks": [ { "BankName": "de-demo-commerzbank-ob", "Scheme": [ "SEPA_CREDIT_TRANSFER", "SEPA_INSTANT_CREDIT_TRANSFER", "PIS_FUTURE_DATE" ], "Name": "Commerzbank Sandbox" }, { "BankName": "de-demobank-open-banking-embedded-templates", "Scheme": [ "PIS_BULK_PAYMENTS", "SEPA_CREDIT_TRANSFER", "SEPA_INSTANT_CREDIT_TRANSFER" ], "Name": "Tink Demo Bank" }, { "BankName": "de-demobank-open-banking-redirect", "Scheme": [ "PIS_BULK_PAYMENTS", "SEPA_CREDIT_TRANSFER", "SEPA_INSTANT_CREDIT_TRANSFER" ], "Name": "Tink Demo Bank" }, { "BankName": "de-demobank-open-banking-redirect-pisonly", "Scheme": [ "PIS_BULK_PAYMENTS", "SEPA_CREDIT_TRANSFER", "SEPA_INSTANT_CREDIT_TRANSFER" ], "Name": "Tink Demo Bank" }, { "BankName": "de-demobank-password", "Scheme": [ "PIS_BULK_PAYMENTS", "SEPA_CREDIT_TRANSFER", "SEPA_INSTANT_CREDIT_TRANSFER" ], "Name": "Tink Demo Bank" } ], "Country": "DE" }, { "Banks": [ { "BankName": "dk-demobank-open-banking-embedded", "Scheme": [ "INSTANT_DANISH_DOMESTIC_CREDIT_TRANSFER_INTRADAG", "DANISH_DOMESTIC_CREDIT_TRANSFER", "INSTANT_DANISH_DOMESTIC_CREDIT_TRANSFER_STRAKS" ], "Name": "Tink Demo Bank" }, { "BankName": "dk-demobank-open-banking-redirect", "Scheme": [ "INSTANT_DANISH_DOMESTIC_CREDIT_TRANSFER_INTRADAG", "DANISH_DOMESTIC_CREDIT_TRANSFER", "INSTANT_DANISH_DOMESTIC_CREDIT_TRANSFER_STRAKS" ], "Name": "Tink Demo Bank" } ], "Country": "DK" } ] } } ```